# Availability

<details>

<summary><a href="/pages/QZRkXSuLRyRl0esUKDtr">https://api.minical.io/v2/inventory/update_availabil</a><a href="/pages/QZRkXSuLRyRl0esUKDtr">ity</a><br><strong>Update Availability</strong></summary>

This endpoint allows you to update the availability

**Parameter**

**Header**

X-API-KEY                            string         API key&#x20;

**Body**

date\_start                       string        Start date

date\_end                         string        End date

availability                    number     Availability

channel\_id                     number    Channel ID

room\_type\_ids              number    Room Type ID

company\_id                   integer      PMS Property ID

</details>

Note: Make sure you use channel\_id is **1** OR **9**\
1 for **"Channex**\
2 for **"Online Booking Engine"**

**Request Body Example**

```
{
    "company_id":"696",
    "channel_id":"9",
    "room_type_ids":"2353,2356",
    "date_start":"2024-12-25",
    "date_end":"2024-12-30",
    "availability":"2"
}
```

**Response**

<details>

<summary>200                                                                                   Availability successfully updated</summary>

```
{
    "status": "success"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.minical.io/minical-api/availability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
